Announcement

Collapse
No announcement yet.

How to upgrade hacked 3.0.3 board ?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • vNovice
    replied
    Just reverted forum home and that did it.

    Thank you very much!

    Leave a comment:


  • Steve Machol
    replied
    Did you revert your templates?

    Leave a comment:


  • vNovice
    replied
    OK, did that and completed the upgrade.

    However I still have the hacked home page on the forum. It's not clear to me how I remove it.

    Leave a comment:


  • Steve Machol
    replied
    As per the instructions start with upgrade.php and see what happens.

    Leave a comment:


  • vNovice
    replied
    Since I'm trying to upgrade a 3.0.3 board I started at upgrade_304.php, the error is on the first step. According to the manual it's a bad idea to reload a script so I don't understand how I'm going to start over as you suggest.

    Leave a comment:


  • Boxy
    replied
    This error means a step has been missed. Re-run the upgrade.

    Leave a comment:


  • vNovice
    replied
    I just started to do the upgrade to 3.6.4 and ran upgrade upgrade_304.php

    I get the following error in step 1.

    Database error in vBulletin :

    Invalid SQL:
    SELECT varname, value, datatype FROM setting;

    MySQL Error : Unknown column 'datatype' in 'field list'
    Error Number : 1054
    Date : Friday, February 16th 2007 @ 02:09:51 AM
    Script : http:/mydomain.com/dlforum/install/upgrade_304.php?step=1
    Referrer : http://mydomain.com/dlforum/install/upgrade_304.php
    IP Address : my IP
    Username :
    Classname : vb_database

    Leave a comment:


  • vNovice
    replied
    OK, thanks.
    Last edited by vNovice; Tue 13th Feb '07, 8:53am.

    Leave a comment:


  • Boxy
    replied
    tools.php requires the install folder, reupload all the 3.0.3 files. Then run tools.php to fix the current problem. Then upload the 3.6.4 files and run the upgrade script.

    Leave a comment:


  • Steve Machol
    replied
    This means you are missing the install directory or the necessary files in the directory. You need to upload that directory and files, except for install.php.

    Leave a comment:


  • vNovice
    replied
    Am I uploading the entire new package for 3.6.4 and then adding the tools.php to that or adding tool.php to the existing 3.0.3 install ?

    I got the following errors when I added tools.php to the 3.0.3 admincp directory:

    Warning: main(./install/init.php) [function.main]: failed to open stream: No such file or directory in /home/mydomain/public_html/dlforum_old/admincp/tools.php on line 43

    Fatal error: main() [function.require]: Failed opening required './install/init.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/mydomain/public_html/dlforum_old/admincp/tools.php on line 43
    Last edited by vNovice; Tue 13th Feb '07, 8:42am.

    Leave a comment:


  • Floris
    replied
    Upload tools.php from the .zip's do_not_upload/ folder into your admincp directory. Then run it from the browser. Reset the cookie path and domain.
    You should then be able to login.

    If you got hacked and lost complete access to your forum, register as a new user on your forum, then go to tools.php and update your new username to the admin. Then use that to login as admin. And change the pass on the original admin.

    Leave a comment:


  • vNovice
    started a topic How to upgrade hacked 3.0.3 board ?

    How to upgrade hacked 3.0.3 board ?

    This board was being replaced soon but not soon enough obviously. It is version 3.0.3. I'm locked out from the my admin CP and can't access the board. How do I get back in / upgrade ?

    I checked the config file and it looks normal. My host will have a backup of the database if needed.

    Thanks in advance.
widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X